import e from "./isArray.js";
import t from "./identity.js";
import n from "./_baseMatches.js";
import r from "./_baseMatchesProperty.js";
import i from "./property.js";
//#region ../../node_modules/lodash-es/_baseIteratee.js
function a(a) {
	return typeof a == "function" ? a : a == null ? t : typeof a == "object" ? e(a) ? r(a[0], a[1]) : n(a) : i(a);
}
//#endregion
export { a as default };
